Facile annonces

Facile annonces fournit une interface unifiée et intuitive pour gérer les prestataires d'annonces multiples sur votre blog. Actuellement pris en charge sont Chitika, BidVertiser, Clicksor, et, bien sûr, AdSense. La liste des fournisseurs de publicité sera étendu plus tard à votre demande.

AdSense vous sous-évaluées? Ne soyez pas le cœur brisé; il ya d'autres poissons dans la mer. Vous pouvez trouver le bonheur avec BidVertiser, Chitika or Clicksor. Utilisation Facile annonces, et vous pouvez avoir de la chance!

Notez que ce plugin nécessite PHPv5.3 . Si cela ne fonctionne pas sur votre hébergeur, se il vous plaît envisager Facile AdSense Lite ou Facile AdSense Pro.

Traits

  1. Interface à onglets et intuitive pour les fournisseurs d'annonces multiples (AdSense, Chitika etc.).
  2. Affichage riche et options d'alignement.
  3. Base de code robuste pour étendre à davantage de fournisseurs de publicité.
  4. Contrôle du positionnement et de l'affichage des blocs d'annonces dans chaque poste ou la page.
  5. Interface de configuration simple -- nothing more than entering your provider id for AdSense or Chitika, et avec des valeurs adaptées pour les quelques options présentes, tous avec des instructions claires.
  6. Specialized widgets for AdSense and Chitika, and common widget interface for the rest.
  7. Available in your own language using machine translation curtsey of Google and Microsoft.

Si vous souhaitez utiliser uniquement AdSense, vous voulez considérer ma part entière, riche en fonctionnalités plug-in AdSense facile.

Version Pro

Facile annonces est la version distribuée librement d'un plugin premium. La La version Pro vous donne encore plus de fonctionnalités.

  1. Dans la version Pro vous avez un Admin (Panneau de commande) onglet avec:
    • Option to selectively activate or deactivate various ad providers in the Admin Languette, so that you can have only AdSense, or only Chitika, if you so choose.
    • Plus d'informations sur la position des annonces et des fentes (sous forme d'image dans le Admin Languette).
    • Option pour définir le nombre de créneaux publicitaires par position.
    • Nouvelles commandes (dans le Admin Languette) à Réinitialiser toutes les options, Supprimez toutes les options ou Migrer les options à une nouvelle version du plugin.
  2. Un filtre à veiller à ce que vos annonces ne montrent que sur ces pages qui semblent se conformer à Google AdSense (et un autre fournisseur commun) politiques, qui peut être important car certains commentaires peuvent rendre vos pages incompatibles avec les politiques.
  3. Il vous permet également de spécifier une liste d'ordinateurs sur lesquels vos annonces ne seront pas affichés, afin d'éviter les clics accidentels sur vos propres annonces -- l'une des principales raisons AdSense vous interdictions.
  4. Également dans les travaux pour la version Pro est un mode de compatibilité, qui résout le problème de l'insertion de publicité gâcher votre page apparitions lors de l'utilisation des thèmes.

Les coûts de la version Pro $8.95 et peuvent être acheté en ligne avec un lien de téléchargement instantané.

Plans pour l'avenir

Je voudrais vous entendre si vous avez des demandes ou des commentaires longs.

  1. Rotation de l'annonce: Je vais fournir des moyens pour faire tourner annonces entre les différents fournisseurs avec une fréquence définie par l'utilisateur.
  2. Plus de fournisseurs: Ce plugin est conçu avec à l'esprit l'extensibilité. Je vais continuer à ajouter plus de fournisseurs de publicité, ou même de laisser les utilisateurs finaux de les ajouter.
  3. Expertise Niveau: Je prévois d'introduire des niveaux d'expertise (Facile, Avancés et experts onglets) dans l'onglet de chaque fournisseur de publicité.
  4. Nombre maximum de blocs d'annonces: Depuis quelques fournisseurs vous obligent à limiter le nombre de blocs d'annonces à certaines plafond axé sur les politiques, Je vais exposer cette option pour vous. Également être personnalisé est le nombre d'annonces par fente. Dans cette version initiale, il ya trois fentes (haut, milieu et en bas), dont chacun peut prendre deux blocs d'annonces. Dans une prochaine version, vous aurez beaucoup plus d'options de personnalisation.
  5. Internationalisation: Les versions futures fournir des fichiers MO / PO pour l'internationalisation.
  6. Documentation: As this plugin may have an overwhelming set of options and features, I will try to write a comprehensive help system for it.

Installation

Searching

La meilleure façon d'installer ce plugin est d'utiliser l'interface admin WordPress. Accédez à votre administrateur tableau de bord, trouver le "Plugins" menu, et cliquez sur "Ajouter un nouveau". Search for this plugin and click on "Installer maintenant" et suivez les instructions de WordPress.

Uploading

Si vous voulez télécharger et installer manuellement, vous pouvez de nouveau utiliser l'interface du tableau de bord WordPress. Commencez par télécharger le fichier zip de plugin sur votre ordinateur local. Ensuite, allez à votre admin tableau de bord, trouver le "Plugins" menu, et cliquez sur "Ajouter un nouveau". Après avoir cliqué sur le "Ajouter un nouveau" élément de menu comme ci-dessus, cliquez sur "Télécharger" (ci-dessous le titre "Installer des plugins" près du sommet). Parcourir pour votre fichier zip téléchargé, télécharger et activer le plugin.

FTP

  1. Téléchargez le Facile annonces Plugin (the whole easy-ads-lite folder) dans le répertoire '/ wp-content/plugins /'.
  2. Activez le plugin via le menu 'Plugins WordPress.
  3. Accédez aux paramètres - & gt; Facile annonces et entrer vos codes et les options ad.

Pour installer la version professionnelle du plugin, s'il vous plaît deactivage la version Lite (le cas échéant) première. Ensuite, téléchargez le fichier zip que vous télécharger après votre achat en utilisant l'interface d'administration de WordPress indiqué ci-dessous.

[install]

Le plugin est mise à jour également en suivant le même processus, de préférence de la page plugin admin où vous verrez un formulaire de téléchargement de fichier lorsqu'une mise à jour est prête. La première mise à jour pour votre plugin acheté est toujours libre.

Captures d'écran

  1. Facile annonces "Vue d'ensemble" onglet. & nbsp; & nbsp;Screenshot [easy-ads] 1
  2. Admin tab showing ad slot locations.  Screenshot [easy-ads] 2
  3. Pro Featires.  Screenshot [easy-ads] 3
  4. How to set the options for Google AdSense.  Screenshot [easy-ads] 4
  5. How to set the options for Chitika.  Screenshot [easy-ads] 5

Changer Connexion

  • V4.20: Compatibility with WP4.8. Sunset edition. [Août 1, 2017]
  • V4.10: Compatibilité avec WordPress 4.5. [Mai 12, 2015]
  • V4.00: Dévalorisant interface de traduction en faveur de la traduction de Google. [Février 23, 2016]
  • V3.90: Compatibilité avec WordPress 4.4. [Décembre 5, 2015]
  • V3.83: Changements de refactoring. [Novembre 7, 2015]
  • V3.82: Enhancements in the admin interface. [Octobre 17, 2015]
  • V3.81: Modifications de la documentation. [Septembre 13, 2015]
  • V3.80: Major changes to fix HTML5 validation errors. [Septembre 10, 2015]
  • V3.70: Compatibilité avec WordPress 4.3. [Août 10, 2015]
  • V3.60: Compatibilité avec WordPress 4.2. [Avril 25, 2015]
  • V3.50: Refactoring and documentation changes. [Avril 2, 2015]
  • V3.40: Compatibilité avec WP4.1. [Jan 8, 2015]
  • V3.30: Migration automatique des options lors de l'activation du plugin. [Septembre 26, 2014]
  • V3.21: Changement mineur apporté à l'interface d'administration. [Septembre 9, 2011]
  • V3.20: Compatibilité avec WP4.0. [Septembre 6, 2014]
  • V3.12: Mise à jour des traductions, corrections de bugs mineurs. [Juillet 17, 2014]
  • V3.11: Correction d'un bug mineur. [Mai 8, 2014]
  • V3.10: L'internationalisation et la compatibilité avec WP3.9. [Mai 7, 2014]
  • V3.00: Les principales modifications apportées à la conception -- l'ajout d'une interface de traduction, s'apprête à changer la manipulation des options. [Comme 22, 2014]
  • V2.71: Ajout d'options pour supprimer des annonces sur la première page collant ou les pages de recherche. [Jan 5, 2014]
  • V2.70: contrôles de compatibilité pour WordPress V3.8. Correction de bugs dans la migration des options. [Décembre 18, 2013]
  • V2.60: contrôles de compatibilité pour WordPress V3.7. [Novembre 11, 2013]
  • V2.50: Compatibilité avec WP3.6. [Août 12, 2013]
  • V2.40: Adding an admin page translator. [Mai 17, 2013]
  • V2.32: Corrections de bugs (Erreur fatale: Appelez-temps passer par référence a été supprimée). [Jan 24, 2013]
  • V2.31: Correction d'un bug. [Décembre 22, 2012]
  • V2.30: L'application de la politique de Google sur le nombre d'annonces, et faire l'entrée pub-id souple. [Novembre 4, 2012]
  • V2.20: modifications de l'interface d'administration. [Septembre 27, 2012]
  • V2.10: Plus de corrections de bugs mineurs dans la manipulation de widget et de prendre soin de certains avis de débogage du mode de débogage WordPress. [Août 31, 2012]
  • V2.09: Prendre soin de certains avis de débogage à partir du mode de débogage WordPress. [Août 27, 2012]
  • V2.08: Adding more ad sizes. [Août 12, 2012]
  • V2.07: Des modifications mineures à la page d'administration. [Juillet 18, 2012]
  • V2.06: Test de compatibilité avec WP 3.4. [Juillet 11, 2012]
  • V2.05: Corrections de bugs. [Mai 25, 2012]
  • V2.04: Corrections de bugs. [Mai 18. 2012]
  • V2.03: Renaming the plugin to drop the word Lite. [Mai 11, 2012]
  • V2.02: Détente la version PHP requise pour 5.0 [Avril 20, 2012]
  • V2.01: Fixing the PHP version checker. [Avril 19, 2012]
  • V2.00: Version initiale aussi facile annonces Lite. [Avril 16, 2012]
  • V1.31: Documentation et admin-page change d'affichage. Non critique. [Août 30, 2011]
  • V1.30: Chitika onglet reflète l'annonce personnalisation comme dans Chitika.
  • V1.20: Mini-onglets et widgets. Pour en revenir à onglets CSS simples. Les options sont versionnées dans le DB maintenant. [Novembre 12 2010]
  • V1.10: Écran spécialisés pour Chitika. Différents onglets mise en œuvre de JS (utilisant YETII). [Octobre 25 2010]
  • V1.05: D'autres améliorations de l'interface utilisateur et techniques (préparation de réutiliser ezAPI.php pour d'autres plugins) . Mise à Chitika pour les annonces par défaut et partagées. [Octobre 3, 2010]
  • V1.04: Manipulation gracieux de PHP4, améliorations dans l'interface d'admin. [Septembre 20, 2010]
  • V1.03: Améliorations techniques; aucun changement fonctionnels. (Refactoring fonctions utilitaires statiques dans une nouvelle classe dans ezExtras.php.) [Septembre 11, 2010]
  • V1.02: Améliorations techniques; aucun changement fonctionnels. (Simulation espace de noms pour éviter les conflits de noms potentiels, corrections de bugs mineurs, etc.) [Septembre 4, 2010]
  • V1.01: L'application de la politique de Google (pas plus de trois blocs d'annonces). [Septembre 2, 2010]
  • V1.00: Version initiale. [Août 31, 2010]

Plan

  • L'amélioration de la manipulation Widgets. Embellissement de mini onglets. supérieure du corps / mid / ad blocs d'extrémité.
  • "Options liées" -- si un widget est désactivé, les options correspondantes (son texte, alignement etc) devrait être désactivée en utilisant JS.
  • Spécialisation pour Clicksor.
  • Entrez annonces Facile.
  • Améliorations techniques; PHP5.0 (fonctions de __construct).

Foire aux questions

Quelles sont les différentes versions du plug-in?

Facile annonces est la version distribuée librement d'un plugin prime. La La version Pro vous donne plus d'avantages -- vous permet d'activer un filtre pour vous assurer que vos annonces sont diffusées uniquement sur les pages qui semblent se conformer aux politiques de Google AdSense. Il vous permet également de spécifier une liste d'ordinateurs sur lesquels vos annonces ne seront pas affichés, afin d'éviter les clics accidentels sur vos propres annonces -- l'une des principales raisons AdSense vous interdictions. Ces caractéristiques minimiser vos chances d'être banni. Les coûts de la version Pro $8.95, et est approprié si vous vous attendez à faire plus de $150 des recettes publicitaires de votre site.

Comment puis-je contacter l'auteur du greffon J'ai besoin d'aide?

Ce plugin utilise un modèle de soutien payé pour gérer la charge de support. Chaque ticket de support seront facturés au $0.95 pour la version Lite (et pour la version Pro après une période sans à court de support). Le ticket de support est valable pour 72 heures, et d'autres questions de suivi seront appeler à un nouveau ticket de support.

Je ne comprends toujours pas. Porn et le site bloc - que vous avez déjà pendant annonce configuration Asdense?

Qu'est-ce que vous avez dans AdSense est une capacité à bloquer les annonces de certains sites. Par exemple, si vous n'aimez pas les annonces à partir de mon site "thulasidas.com", vous pouvez les bloquer. Qu'est-ce que la version pro vous donne la possibilité de bloquer les annonces à certains clients. À savoir, si vous ne voulez pas que les visiteurs de certaines adresses IP par vos annonces (car ils peuvent cliquer sur un trop grand nombre d'entre eux, l'obtention de votre compte AdSense interdit, par exemple), vous pouvez avec mon plugin.

bloc de Porn est également similaire -- Google vous permet de choisir annonces non-porno (Je pense). Qu'est-ce que mon plugin fait est de regarder le contenu de votre page, et bloquer les annonces si elle ressemble à une page porno. (Cela peut se produire si un spammeur affiche une sorte de commentaire de porno sur votre blog, qui encore une fois peut obtenir votre compte AdSense interdit.)

Je permis aux widgets pour divers fournisseurs de publicité. Mais je ne vois pas sur mes pages de blog. How come?

Les widgets sont activés et disponibles sur votre apparence - & gt; Zone Widgets. Se il vous plaît faites-le glisser et déposez-les dans la barre latérale appropriée.

Je reçois l'erreur "Erreur de localisation ou de charger les paramètres par défaut! Assurez-'defaults.php' existe, ou réinstaller le plugin." Ce qu'il faut faire?

S'il vous plaît copier tous les fichiers de l'archive zip dans votre répertoire de plug-in. Vous avez besoin de tous les fichiers dans le easy-ads-lite annuaire. Un de ces fichiers est le manque defaults.php.

Je activer le plugin, mais rien ne se passe. Je vois certains message d'erreur indiquant rouge quelque chose sur la version de PHP. Ce qui donne?

Ce plugin nécessite la version de PHP 5.x ou plus tard. Si elle ne trouve pas la bonne version, il affiche un message d'erreur dans la page des plugins, et ne fait rien. Vous devrez contacter l'administrateur du système ou de soutenir les gens de votre service d'hébergement et de leur demander d'installer PHP5.x pour vous. Habituellement, il suffit d'un simple e-mail pour obtenir ce triés.

Comment puis-je contrôler l'apparence des blocs d'annonces en utilisant le CSS?

Tous <div>s que Facile annonces crée avoir l'attribut de classe easy-ads. En outre, ils ont des attributs de classe comme easy-ads-adsense-top, easy-ads-clicksor-bottom etc, (c'est-à-, easy-ads-provider-position). Vous pouvez définir le style de ces classes dans votre thème style.css à contrôler leur apparence.

Pourquoi mon code ne disparaît quand je passe à un nouveau thème?

Facile annonces contient le code et les options annonce dans votre base de données indexée par le nom du thème, de sorte que si vous avez configuré les options pour un thème particulier, ils persistent même lorsque vous passez à un autre thème. Si jamais vous revenez à un vieux thème, toutes les options seront réutilisées sans votre inquiéter.

Mais cela signifie malheureusement que vous ne devez définir le code une fois chaque fois que vous passez à un nouveau thème.

Puis-je contrôler la façon dont les blocs d'annonces sont formatés dans chaque page?

Oui! Dans Facile annonces, vous avez plus d'options [par les champs personnalisés] pour contrôler les blocs publicitaires dans les différents articles / pages. Ajouter des champs personnalisés avec des touches comme easy-ads-adsense-top, easy-ads-adsense-middle, easy-ads-adsense-bottom et avec des valeurs comme gauche, droit, centre ou needs a context d'avoir le contrôle la façon dont les blocs d'annonces apparaissent dans chaque poste ou la page. La valeur "needs a context" supprime tous les blocs d'annonces de la poste ou la page pour ce fournisseur.

WP-Plus

WP PlusCeci et d'autres plugins peut être installé et géré de façon transparente à l'aide WP-Plus -- la prochaine génération de WordPress, mis au point pour le blogueur professionnel qui exigent des plugins et des thèmes professionnels. Si vous êtes un développeur de plug-in professionnel ou un blogueur (celui qui espère faire une vie hors des blogs ou developement liés blog-), ne vérifier!
Voir aussi:  Autres plugins
Si vous aimez mes efforts plugin, s'il vous plaît laisser un commentaire en utilisant votre login Facebook ci-dessous.
Si vous avez besoin d'aide, s'il vous plaît utiliser notre portail de support plutôt. & Nbsp;ezSupport Portal
[Fièrement présenté par EZ PayerCopain.]

Commentaires